Change User Role

This is the API to change the user’s role.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

ID of the Splashtop team.

integer
required

ID of the user you would like to configure.

Body Params
string
required

The role you would like to change to. (String) Available status: manager: The admin on the team group_admin: The group admin on the team member: The member on the team remote_user: available only for Splashtop AEM and Splashtop AEM (Enterprise) When it is group_admin role assigned, or you would like to assign a super admin, please check the Body section. Body

group_ids
array of integers

(Optional) Only required when the above role field is group_admin, to decide which groups the user will be group admin with. (Array, Integer) The ID of the groups. You can have the group ID info from 5.4.1 Get group info API. Example: { "role": "group_admin", "group_ids": [691256,693271] }

group_ids
boolean

(Optional) Only required when the above role field is manager, to decide whether this team admin a super admin or not. (Boolean) Available status: true, false Example: See below super_admin_capability

super_admin_capability
object

(Optional) Only required when the above super_admin field is true, to decide which capabilities the super admin will have.

Responses

400

Bad request — invalid parameters

401

Unauthorized — invalid or missing access token

403

Forbidden — insufficient scope, or the action/value/target is not allowed. See data.error for the sub-reason.

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json